You can not select more than 25 topics Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.
 
 
 
 
dependabot[bot] fd0fac1365 ci(deps): bump amannn/action-semantic-pull-request from 5.5.2 to 5.5.3 1 week ago
.github ci(deps): bump amannn/action-semantic-pull-request from 5.5.2 to 5.5.3 1 week ago
kosmorro chore(i18n): update translation files 1 month ago
manpage feat(event): add support for moon apogee and perigee 3 years ago
tests test: remove LaTeX tests (#333) 11 months ago
.all-contributorsrc docs: update .all-contributorsrc 3 weeks ago
.coveragerc ci(compatibility): test on more Python versions and on macOS (#131) 3 years ago
.editorconfig ci(compatibility): test on more Python versions and on macOS (#131) 3 years ago
.gitignore build: bump version 0.10.12 (#323) 1 year ago
.gitpod.yml chore: migrate to Poetry 2 years ago
.pylintrc ci(compatibility): test on more Python versions and on macOS (#131) 3 years ago
CHANGELOG.md build: bump version 0.10.13 7 months ago
CODE_OF_CONDUCT.md docs: add code of conduct (#155) 3 years ago
CONTRIBUTING.md chore: migrate to Poetry 2 years ago
CONTRIBUTORS.md docs: update CONTRIBUTORS.md 3 weeks ago
LICENSE.md Add AGPL-v3.0 license 4 years ago
MANIFEST.in feat: use Kosmorrolib (#162) 3 years ago
Makefile build: bump version 0.10.12 (#323) 1 year ago
README.md chore: update Readme 7 months ago
poetry.lock chore(deps): bump certifi from 2023.11.17 to 2024.7.4 1 week ago
pyproject.toml chore(deps): bump importlib-metadata from 7.1.0 to 8.0.0 2 weeks ago
setup.cfg chore: migrate to Poetry 2 years ago

README.md

Kosmorro

Version on PyPI Packaging status Help translating Kosmorro!

Kosmorro is a program that calculates your astronomical ephemerides.

Installation

Installing Kosmorro is documented on the official website. Just select your operating system and follow the instructions!

Development environment

To contribute to Kosmorrolib, you will need Poetry, a software to manage the project from development to publishing.

Clone this repository and run poetry install to install the dependencies. And that’s all, your development environment is ready!

To run Kosmorro, invoke poetry run kosmorro. For comfort, you may also want to invoke poetry shell, which will expose the kosmorro command directly.

Using Kosmorro

Using Kosmorro is as simple as invoking kosmorro in your terminal!

By default, it will give you the current Moon phase and, if any, the events that will occur today.

Kosmorro has a lot of available options to get exactly what you want, including the possibility to get planets rise and set. To get a list of them, run kosmorro --help, or read its manual with man kosmorro. You can also find usage examples in the tldr manual with tldr kosmorro.

Help translating Kosmorro!

Kosmorro is translated on Weblate, a popular free platform for crowd-sourced internationalization. If you speak a language that is not supported yet, feel free to contribute!

Translation state per language